Get IV surface time series
curl --request GET \
--url https://api.example.com/api/graph/v1/options/{symbol}/surfaceimport requests
url = "https://api.example.com/api/graph/v1/options/{symbol}/surface"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/options/{symbol}/surface', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "<string>",
"days": 123,
"snapshots": [
{
"time": "2023-11-07T05:31:56Z",
"atm_iv": 123,
"atm_iv_change": 123,
"iv_7d": 123,
"iv_14d": 123,
"iv_21d": 123,
"iv_30d": 123,
"iv_45d": 123,
"term_slope": 123,
"term_structure_shape": "<string>",
"skew_ratio": 123,
"skew_percentile": 123,
"iv_percentile_30d": 123,
"iv_percentile_60d": 123,
"iv_percentile_90d": 123,
"realized_vol_20d": 123,
"iv_rv_ratio": 123,
"data_quality": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Options Screener
Get IV surface time series
Get IV surface history from the `iv_surface_daily` hypertable.
Returns daily snapshots including term structure, skew, ATM IV,
and historical percentiles.
## Parameters
- **days**: Number of days of history (default 30, max 90)
## Performance Target
<200ms response time.
GET
/
api
/
graph
/
v1
/
options
/
{symbol}
/
surface
Get IV surface time series
Path Parameters
Query Parameters
Days of history
Required range:
1 <= x <= 90